import math, random

class Koordinate:
	__slots__ = ["x", "y"]
	def __init__(self, x = 0, y = 0, randomize=False):
		self.x = x; self.y = y
		if randomize:
			self.x = random.randint(0,self.x-1)
			self.y = random.randint(0,self.y-1)
	def __str__(self):
		return "%s %s" % (self.x, self.y)
	def __eq__(self, other):
		return self.x==other.x and self.y==other.y

MAX_KORAKOV = 10000

class Lovec:
	ime = "PyLovec"
	def __init__(self): pass
	
	def razdalja(self, K0, Kx):
		dx = Kx.x - K0.x
		dy = Kx.y - K0.y
		return (abs(dx)+abs(dy), max(-1,min(1,dx)), max(-1,min(1,dy)))
	
	def ZbudiSe(self, N, K, jaz, nasprotnik, zakladi):
		print "ZbudiSe: n = %d, k = %d, jaz (%d, %d) nasprotnik (%d, %d)" % (N, K, jaz.x, jaz.y, nasprotnik.x, nasprotnik.y)
		
	def KamGres(self, jaz, nasprotnik, zakladi):
		razdalje = [self.razdalja(jaz, zaklad) for zaklad in zakladi]
		razdalje.sort()
		return razdalje[0][1], razdalje[0][2]
		
	def KonecIgre(self):
		print "KonecIgre"

